This commit is contained in:
Kroese 2023-05-16 22:14:43 +02:00 committed by GitHub
parent c264c3a3e7
commit a57bb7fb7e

View File

@ -15,7 +15,7 @@ if [ -z "$URL" ]; then
fi fi
# Check if running with interactive TTY or redirected to docker log # Check if output is to interactive TTY
if [ -t 1 ]; then if [ -t 1 ]; then
PROGRESS="--progress=bar:noscroll" PROGRESS="--progress=bar:noscroll"
else else
@ -42,15 +42,15 @@ if [ ! -f "${RDC}" ]; then
info "Install: Downloading installer..." info "Install: Downloading installer..."
LOC="$DL/release/7.0.1/42218/DSM_VirtualDSM_42218.pat" LOC="$DL/release/7.0.1/42218/DSM_VirtualDSM_42218.pat"
{ curl -r 65627648-71021836 -sfk -o "$RD" "$LOC"; rc=$?; } || : { curl -r 65627648-71021835 -sfk -o "$RD" "$LOC"; rc=$?; } || :
(( rc != 0 )) && error "Failed to download $LOC, reason: $rc" && exit 60 (( rc != 0 )) && error "Failed to download $LOC, reason: $rc" && exit 60
SUM=$(md5sum "$RD" | cut -f 1 -d " ") SUM=$(md5sum "$RD" | cut -f 1 -d " ")
VERIFY="ab399db750f88ac7aa88f608f2b8651c" VERIFY="b4215a4b213ff5154db0488f92c87864"
if [ "$SUM" != "$VERIFY" ]; then if [ "$SUM" != "$VERIFY" ]; then
PAT="/dsm.pat" PAT="/install.pat"
rm "$RD" rm "$RD"
rm -f "$PAT" rm -f "$PAT"
@ -60,12 +60,6 @@ if [ ! -f "${RDC}" ]; then
tar --extract --file="$PAT" --directory="$TMP/." rd.gz tar --extract --file="$PAT" --directory="$TMP/." rd.gz
rm "$PAT" rm "$PAT"
SUM=$(md5sum "$RD" | cut -f 1 -d " ")
if [ "$SUM" != "$VERIFY" ]; then
error "Invalid download location (checksum $SUM)" && exit 61
fi
fi fi
cp "$RD" "$RDC" cp "$RD" "$RDC"